package com.fjhx.account.entity.account.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 记账科目
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
@Getter
@Setter
@TableName("account_subjects")
public class AccountSubjects extends BasePo {

    /**
     * 父级分类id
     */
    private Long parentId;

    /**
     * 父级分类id集合，用,拼接
     */
    private String parentIdSet;

    /**
     * 科目代码
     */
    private String subjectsCode;

    /**
     * 科目名称
     */
    private String subjectsName;

    /**
     * 核算项目名称
     */
    private String calculateItemName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer sort;

//    /**
//     * 付款类型Id
//     */
//    private Long paymentTypeId;

}
