package com.fjhx.account.entity.account.vo;

import com.fjhx.account.entity.account.po.AccountPayment;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 打款表列表查询返回值实体
 *
 * @author
 * @since 2023-04-11
 */
@Getter
@Setter
public class AccountPaymentVo extends AccountPayment {

    /**
     * 部门名称
     */
    private String deptName;

    /**
     *归属公司名称
     */
    private String corporationName;

    /**
     * 用户名称
     */
    private  String userName;


    /**
     * 实际打款的付款账户名称
     */
    private String accountManagementName;

    /**
     * 业务中选中的付款账户名称
     */
    private String businessManagementName;

    /**
     * 打开记录列表
     */
    private List<AccountPaymentRecordsVo> accountPaymentRecordsList;


    private String typeName;
}
