package com.fjhx.common.entity.contractor.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 承包商
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
@Getter
@Setter
@TableName("contractor")
public class Contractor extends BasePo {

    /**
     * 名称
     */
    private String name;

    /**
     * 编号
     */
    private String code;

    /**
     * 账户名称
     */
    private String accountName;

    /**
     * 账户开户行
     */
    private String accountBank;

    /**
     * 账户账号
     */
    private String accountNumber;

    /**
     * 税点
     */
    private String taxPoints;

    /**
     * 归属公司
     */
    private Long companyId;

}
