package com.fjhx.common.mapper.art;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.art.po.ArtCopyright;
import com.fjhx.common.entity.art.vo.ArtCopyrightVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 美术版权 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
public interface ArtCopyrightMapper extends BaseMapper<ArtCopyright> {

    /**
     * 美术版权分页
     */
    Page<ArtCopyrightVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ArtCopyright> wrapper);

}
