package com.fjhx.common.mapper.patent;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.patent.po.Patent;
import com.fjhx.common.entity.patent.vo.PatentVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 专利 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
public interface PatentMapper extends BaseMapper<Patent> {

    /**
     * 专利分页
     */
    Page<PatentVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Patent> wrapper);

}
