package com.fjhx.common.mapper.trademark;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.trademark.po.Trademark;
import com.fjhx.common.entity.trademark.vo.TrademarkVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 商标 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
public interface TrademarkMapper extends BaseMapper<Trademark> {

    /**
     * 商标分页
     */
    Page<TrademarkVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Trademark> wrapper);

}
