package com.fjhx.common.service.art;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.art.dto.ArtCopyrightDto;
import com.fjhx.common.entity.art.dto.ArtCopyrightSelectDto;
import com.fjhx.common.entity.art.po.ArtCopyright;
import com.fjhx.common.entity.art.vo.ArtCopyrightVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 美术版权 服务类
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
public interface ArtCopyrightService extends BaseService<ArtCopyright> {

    /**
     * 美术版权分页
     */
    Page<ArtCopyrightVo> getPage(ArtCopyrightSelectDto dto);

    /**
     * 美术版权明细
     */
    ArtCopyrightVo detail(Long id);

    /**
     * 美术版权新增
     */
    void add(ArtCopyrightDto artCopyrightDto);

    /**
     * 美术版权编辑
     */
    void edit(ArtCopyrightDto artCopyrightDto);

    /**
     * 美术版权删除
     */
    void delete(Long id);

}
