package com.fjhx.common.service.contractor;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.contractor.dto.ContractorDto;
import com.fjhx.common.entity.contractor.dto.ContractorSelectDto;
import com.fjhx.common.entity.contractor.po.Contractor;
import com.fjhx.common.entity.contractor.vo.ContractorVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 承包商 服务类
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
public interface ContractorService extends BaseService<Contractor> {

    /**
     * 承包商分页
     */
    Page<ContractorVo> getPage(ContractorSelectDto dto);

    /**
     * 承包商明细
     */
    ContractorVo detail(Long id);

    /**
     * 承包商新增
     */
    void add(ContractorDto contractorDto);

    /**
     * 承包商编辑
     */
    void edit(ContractorDto contractorDto);

    /**
     * 承包商删除
     */
    void delete(Long id);

}
