package com.fjhx.common.service.trademark;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.trademark.dto.TrademarkDto;
import com.fjhx.common.entity.trademark.dto.TrademarkSelectDto;
import com.fjhx.common.entity.trademark.po.Trademark;
import com.fjhx.common.entity.trademark.vo.TrademarkVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 商标 服务类
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
public interface TrademarkService extends BaseService<Trademark> {

    /**
     * 商标分页
     */
    Page<TrademarkVo> getPage(TrademarkSelectDto dto);

    /**
     * 商标明细
     */
    TrademarkVo detail(Long id);

    /**
     * 商标新增
     */
    void add(TrademarkDto trademarkDto);

    /**
     * 商标编辑
     */
    void edit(TrademarkDto trademarkDto);

    /**
     * 商标删除
     */
    void delete(Long id);

}
