package com.fjhx.form.mapper.cost;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.form.entity.cost.po.CostControlDetail;
import com.fjhx.form.entity.cost.vo.CostControlDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 费控明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
public interface CostControlDetailMapper extends BaseMapper<CostControlDetail> {

    /**
     * 费控明细列表
     */
    List<CostControlDetailVo> getList(@Param("ew") IWrapper<CostControlDetail> wrapper);

}
