package com.fjhx.oa.entity.seal.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 印章管理
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
@Getter
@Setter
@TableName("seal_config")
public class SealConfig extends BasePo {

    /**
     * 印章名称
     */
    private String name;

    /**
     * 印章类型
     */
    private String type;

    /**
     * 保管人
     */
    private Long custodyUserId;

    /**
     * 保管部门
     */
    private Long custodyDeptId;

    /**
     * 用途说明
     */
    private String remark;

}
