package com.fjhx.oa.mapper.activity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.activity.po.ActivityPriceInventory;
import com.fjhx.oa.entity.activity.vo.ActivityPriceInventoryVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 活动、价格、库存 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-10
 */
public interface ActivityPriceInventoryMapper extends BaseMapper<ActivityPriceInventory> {

    /**
     * 活动、价格、库存分页
     */
    Page<ActivityPriceInventoryVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ActivityPriceInventory> wrapper);

}
