package com.fjhx.oa.mapper.erp;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.erp.po.ErpCodingGroup;
import com.fjhx.oa.entity.erp.vo.ErpCodingGroupVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * erp编码组 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
public interface ErpCodingGroupMapper extends BaseMapper<ErpCodingGroup> {

    /**
     * erp编码组分页
     */
    Page<ErpCodingGroupVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ErpCodingGroup> wrapper);

}
