package com.fjhx.oa.mapper.medical;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.medical.po.MedicalInsurance;
import com.fjhx.oa.entity.medical.vo.MedicalInsuranceVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 医保申请 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
public interface MedicalInsuranceMapper extends BaseMapper<MedicalInsurance> {

    /**
     * 医保申请分页
     */
    Page<MedicalInsuranceVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<MedicalInsurance> wrapper);

}
