package com.fjhx.oa.service.medical;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.medical.dto.MedicalInsuranceDto;
import com.fjhx.oa.entity.medical.dto.MedicalInsuranceSelectDto;
import com.fjhx.oa.entity.medical.po.MedicalInsurance;
import com.fjhx.oa.entity.medical.vo.MedicalInsuranceVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 医保申请 服务类
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
public interface MedicalInsuranceService extends BaseService<MedicalInsurance> {

    /**
     * 医保申请分页
     */
    Page<MedicalInsuranceVo> getPage(MedicalInsuranceSelectDto dto);

    /**
     * 医保申请明细
     */
    MedicalInsuranceVo detail(Long id);

    /**
     * 医保申请新增
     */
    void addOrEdit(MedicalInsuranceDto medicalInsuranceDto);

    /**
     * 医保申请删除
     */
    void delete(Long id);

    void cancellation(Long businessId);
}
