package com.fjhx.oa.service.seal;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.seal.dto.SealConfigDto;
import com.fjhx.oa.entity.seal.dto.SealConfigSelectDto;
import com.fjhx.oa.entity.seal.po.SealConfig;
import com.fjhx.oa.entity.seal.vo.SealConfigVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 印章管理 服务类
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
public interface SealConfigService extends BaseService<SealConfig> {

    /**
     * 印章管理分页
     */
    Page<SealConfigVo> getPage(SealConfigSelectDto dto);

    /**
     * 印章管理明细
     */
    SealConfigVo detail(Long id);

    /**
     * 印章管理新增
     */
    void add(SealConfigDto sealConfigDto);

    /**
     * 印章管理编辑
     */
    void edit(SealConfigDto sealConfigDto);

    /**
     * 印章管理删除
     */
    void delete(Long id);

}
