package com.fjhx.sale.entity.arrival.vo;

import com.fjhx.sale.entity.arrival.po.ArrivalDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * purchase_到货明细单列表查询返回值实体
 *
 * @author
 * @since 2024-02-01
 */
@Getter
@Setter
public class ArrivalDetailVo extends ArrivalDetail {

    private String arrivalCode;
    private String productName;
    private String productCode;
    private BigDecimal productLength;
    private BigDecimal productWidth;
    private BigDecimal productHeight;
    private String productColor;

    private Date arrivalTime;

    /**
     * 入库数量
     */
    private BigDecimal receiptQuantity;
    /**
     * 入库状态
     */
    private BigDecimal receiptStatus;

    private Long companyId;
    private String companyName;
    private Long supplierId;
    private String supplierName;
    private String purchaseCode;

}
