package com.fjhx.sale.service.ext.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.sale.entity.ext.po.ExtQuotationProductBom;
import com.fjhx.sale.entity.ext.vo.ExtQuotationProductBomVo;
import com.fjhx.sale.mapper.ext.ExtQuotationProductBomMapper;
import com.fjhx.sale.service.ext.ExtQuotationProductBomService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 对外报价单产品BOM 服务实现类
 * </p>
 *
 * @author
 * @since 2024-01-14
 */
@Service
public class ExtQuotationProductBomServiceImpl extends ServiceImpl<ExtQuotationProductBomMapper, ExtQuotationProductBom> implements ExtQuotationProductBomService {

    @Override
    public List<ExtQuotationProductBomVo> getList(IWrapper<Object> wrapper) {
        return baseMapper.getList(wrapper);
    }
}
