package com.fjhx.account.entity.calculate.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 核算项目
 * </p>
 *
 * @author
 * @since 2024-03-25
 */
@Getter
@Setter
@TableName("calculate_item")
public class CalculateItem extends BasePo {

    /**
     * 费控明细id
     */
    private Long costControlDetailId;

    /**
     * 核算类型 字典(accounting_subjects)
     */
    private String type;

    /**
     * 业务id
     */
    private Long businessId;

}
