package com.fjhx.common.mapper.contractor;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.contractor.po.Contractor;
import com.fjhx.common.entity.contractor.vo.ContractorVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 承包商 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
public interface ContractorMapper extends BaseMapper<Contractor> {

    /**
     * 承包商分页
     */
    Page<ContractorVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Contractor> wrapper);

}
