package com.fjhx.common.service.patent;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.patent.dto.PatentDto;
import com.fjhx.common.entity.patent.dto.PatentSelectDto;
import com.fjhx.common.entity.patent.po.Patent;
import com.fjhx.common.entity.patent.vo.PatentVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 专利 服务类
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
public interface PatentService extends BaseService<Patent> {

    /**
     * 专利分页
     */
    Page<PatentVo> getPage(PatentSelectDto dto);

    /**
     * 专利明细
     */
    PatentVo detail(Long id);

    /**
     * 专利新增
     */
    void add(PatentDto patentDto);

    /**
     * 专利编辑
     */
    void edit(PatentDto patentDto);

    /**
     * 专利删除
     */
    void delete(Long id);

}
