package com.fjhx.customer.entity.customer.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 客户等级
 * </p>
 *
 * @author
 * @since 2024-04-02
 */
@Getter
@Setter
@TableName("customer_lv")
public class CustomerLv extends BasePo {

    /**
     * 等级名称
     */
    private String lvName;

    /**
     * 最小未跟进天数
     */
    private Integer minNotFollow;

    /**
     * 最大未跟进天数
     */
    private Integer maxNotFollow;

}
