package com.fjhx.customer.mapper.customer;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.po.CustomerLv;
import com.fjhx.customer.entity.customer.vo.CustomerLvVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 客户等级 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-02
 */
public interface CustomerLvMapper extends BaseMapper<CustomerLv> {

    /**
     * 客户等级分页
     */
    Page<CustomerLvVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CustomerLv> wrapper);

}
