package com.fjhx.customer.service.customer;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.dto.CustomerLvDto;
import com.fjhx.customer.entity.customer.dto.CustomerLvSelectDto;
import com.fjhx.customer.entity.customer.po.CustomerLv;
import com.fjhx.customer.entity.customer.vo.CustomerLvVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 客户等级 服务类
 * </p>
 *
 * @author
 * @since 2024-04-02
 */
public interface CustomerLvService extends BaseService<CustomerLv> {

    /**
     * 客户等级分页
     */
    Page<CustomerLvVo> getPage(CustomerLvSelectDto dto);

    /**
     * 客户等级明细
     */
    CustomerLvVo detail(Long id);

    /**
     * 客户等级新增
     */
    void add(CustomerLvDto customerLvDto);

    /**
     * 客户等级编辑
     */
    void edit(CustomerLvDto customerLvDto);

    /**
     * 客户等级删除
     */
    void delete(Long id);

}
