package com.fjhx.form.entity.cost.dto;

import com.fjhx.account.entity.calculate.po.CalculateItem;
import com.fjhx.file.entity.ObsFile;
import com.fjhx.form.entity.cost.po.CostControlDetail;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 费控明细新增编辑入参实体
 *
 * @author
 * @since 2024-03-18
 */
@Getter
@Setter
public class CostControlDetailDto extends CostControlDetail {
    /**
     * 非发票附件 类型0
     */
    private List<ObsFile> fileList;

    /**
     * 发票附件 类型10
     */
    private List<ObsFile> invoiceFileList;

    /**
     * 核算项目列表
     */
    private List<CalculateItem> calculateItemList;
}
