package com.fjhx.form.mapper.cost;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.form.entity.cost.po.CostControl;
import com.fjhx.form.entity.cost.vo.CostControlVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 费控 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
public interface CostControlMapper extends BaseMapper<CostControl> {

    /**
     * 费控分页
     */
    Page<CostControlVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CostControl> wrapper);

    CostControlVo detail(@Param("ew") IWrapper<Object> wrapper);

}
