package com.fjhx.item.entity.product.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 产品分类
 * </p>
 *
 * @author zlj
 * @since 2023-03-15
 */
@Getter
@Setter
@TableName("product_classify")
public class ProductClassify extends BasePo {

    /**
     * 定义 1产品 2物料
     */
    private Integer definition;

    /**
     * 父级分类id
     */
    private Long parentId;

    /**
     * 父级分类id集合，用,拼接
     */
    private String parentIdSet;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 排序
     */
    private Integer sort;

}
