package com.fjhx.oa.entity.activity.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.oa.entity.activity.po.ActivityPriceInventory;
import com.fjhx.oa.entity.activity.po.ActivityPriceInventoryDetail;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 活动、价格、库存新增编辑入参实体
 *
 * @author
 * @since 2024-04-10
 */
@Getter
@Setter
public class ActivityPriceInventoryDto extends ActivityPriceInventory {

    List<ActivityPriceInventoryDetail> activityPriceInventoryDetailList;

    private List<ObsFile> supporterFileList;
    private List<ObsFile> stockFileList;

}
