package com.fjhx.oa.entity.activity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 活动、价格、库存 明细
 * </p>
 *
 * @author
 * @since 2024-04-10
 */
@Getter
@Setter
@TableName("activity_price_inventory_detail")
public class ActivityPriceInventoryDetail extends BasePo {

    /**
     * 活动、价格、库存 ID
     */
    private Long activityPriceInventoryId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品颜色
     */
    private String productColor;

    /**
     * 产品长
     */
    private String productLength;

    /**
     * 产品宽
     */
    private String productWidth;

    /**
     * 产品高
     */
    private String productHeight;

    /**
     * 分销价
     */
    private BigDecimal distributionPrice;

    /**
     * 销售价
     */
    private BigDecimal salesPrice;

    /**
     * 活动价
     */
    private BigDecimal activityPrice;

}
