package com.fjhx.oa.entity.education.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 学历补贴配置
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
@Getter
@Setter
@TableName("education_config")
public class EducationConfig extends BasePo {

    /**
     * 学历名称
     */
    private String name;

    /**
     * 金额
     */
    private BigDecimal amount;

}
