package com.fjhx.oa.entity.education.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 学历补贴申请
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
@Getter
@Setter
@TableName("education_subsidy")
public class EducationSubsidy extends BasePo {

    /**
     * 编号
     */
    private String code;

    /**
     * 学历id
     */
    private Long educationId;

    /**
     * 学历名称
     */
    private String educationName;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 申请时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 公司id
     */
    private Long companyId;

    private Integer status;

    private Long flowId;

}
