package com.fjhx.oa.entity.erp.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * erp编码组
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
@Getter
@Setter
@TableName("erp_coding_group")
public class ErpCodingGroup extends BasePo {

    private String code;

    /**
     * 申请时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 备注
     */
    private String remark;

    private Integer status;

    private Long flowId;

}
