package com.fjhx.oa.entity.seal.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.oa.entity.seal.po.SealUse;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 用印申请新增编辑入参实体
 *
 * @author
 * @since 2024-04-09
 */
@Getter
@Setter
public class SealUseDto extends SealUse {

    /**
     * 附件信息
     */
    private List<ObsFile> fileList;
    /**
     * 公司盖章附件信息
     */
    private List<ObsFile> companyFileList;

    /**
     * 客户盖章附件信息
     */
    private List<ObsFile> customerFileList;


}
