package com.fjhx.oa.mapper.activity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.oa.entity.activity.po.ActivityPriceInventoryDetail;
import com.fjhx.oa.entity.activity.vo.ActivityPriceInventoryDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动、价格、库存 明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-10
 */
public interface ActivityPriceInventoryDetailMapper extends BaseMapper<ActivityPriceInventoryDetail> {

    /**
     * 活动、价格、库存 明细列表
     */
    List<ActivityPriceInventoryDetailVo> getList(@Param("ew") IWrapper<ActivityPriceInventoryDetail> wrapper);

}
