package com.fjhx.oa.mapper.education;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.education.po.EducationConfig;
import com.fjhx.oa.entity.education.vo.EducationConfigVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 学历补贴配置 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
public interface EducationConfigMapper extends BaseMapper<EducationConfig> {

    /**
     * 学历补贴配置分页
     */
    Page<EducationConfigVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EducationConfig> wrapper);

}
