package com.fjhx.oa.mapper.education;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.education.po.EducationSubsidy;
import com.fjhx.oa.entity.education.vo.EducationSubsidyVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 学历补贴申请 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
public interface EducationSubsidyMapper extends BaseMapper<EducationSubsidy> {

    /**
     * 学历补贴申请分页
     */
    Page<EducationSubsidyVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EducationSubsidy> wrapper);

}
