package com.fjhx.oa.mapper.seal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.seal.po.SealConfig;
import com.fjhx.oa.entity.seal.vo.SealConfigVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 印章管理 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
public interface SealConfigMapper extends BaseMapper<SealConfig> {

    /**
     * 印章管理分页
     */
    Page<SealConfigVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SealConfig> wrapper);

}
