package com.fjhx.oa.mapper.seal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.seal.po.SealUse;
import com.fjhx.oa.entity.seal.vo.SealUseVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 用印申请 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
public interface SealUseMapper extends BaseMapper<SealUse> {

    /**
     * 用印申请分页
     */
    Page<SealUseVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SealUse> wrapper);

    SealUseVo detail(@Param("ew") IWrapper<SealUse> wrapper);

}
