package com.fjhx.oa.service.activity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.activity.dto.ActivityPriceInventoryDto;
import com.fjhx.oa.entity.activity.dto.ActivityPriceInventorySelectDto;
import com.fjhx.oa.entity.activity.po.ActivityPriceInventory;
import com.fjhx.oa.entity.activity.vo.ActivityPriceInventoryVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 活动、价格、库存 服务类
 * </p>
 *
 * @author
 * @since 2024-04-10
 */
public interface ActivityPriceInventoryService extends BaseService<ActivityPriceInventory> {

    /**
     * 活动、价格、库存分页
     */
    Page<ActivityPriceInventoryVo> getPage(ActivityPriceInventorySelectDto dto);

    /**
     * 活动、价格、库存明细
     */
    ActivityPriceInventoryVo detail(Long id);

    /**
     * 活动、价格、库存新增
     */
    void addOrEdit(ActivityPriceInventoryDto activityPriceInventoryDto);

    /**
     * 活动、价格、库存删除
     */
    void delete(Long id);

    void cancellation(Long businessId);
}
