package com.fjhx.oa.service.activity.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.oa.entity.activity.po.ActivityPriceInventoryDetail;
import com.fjhx.oa.entity.activity.vo.ActivityPriceInventoryDetailVo;
import com.fjhx.oa.mapper.activity.ActivityPriceInventoryDetailMapper;
import com.fjhx.oa.service.activity.ActivityPriceInventoryDetailService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 活动、价格、库存 明细 服务实现类
 * </p>
 *
 * @author
 * @since 2024-04-10
 */
@Service
public class ActivityPriceInventoryDetailServiceImpl extends ServiceImpl<ActivityPriceInventoryDetailMapper, ActivityPriceInventoryDetail> implements ActivityPriceInventoryDetailService {

    @Override
    public List<ActivityPriceInventoryDetailVo> getList(IWrapper wrapper) {
        List<ActivityPriceInventoryDetailVo> list = this.baseMapper.getList(wrapper);
        return list;
    }

}
