package com.fjhx.oa.service.education;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.education.dto.EducationConfigDto;
import com.fjhx.oa.entity.education.dto.EducationConfigSelectDto;
import com.fjhx.oa.entity.education.po.EducationConfig;
import com.fjhx.oa.entity.education.vo.EducationConfigVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 学历补贴配置 服务类
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
public interface EducationConfigService extends BaseService<EducationConfig> {

    /**
     * 学历补贴配置分页
     */
    Page<EducationConfigVo> getPage(EducationConfigSelectDto dto);

    /**
     * 学历补贴配置明细
     */
    EducationConfigVo detail(Long id);

    /**
     * 学历补贴配置新增
     */
    void add(EducationConfigDto educationConfigDto);

    /**
     * 学历补贴配置编辑
     */
    void edit(EducationConfigDto educationConfigDto);

    /**
     * 学历补贴配置删除
     */
    void delete(Long id);

}
