package com.fjhx.oa.service.education;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.education.dto.EducationSubsidyDto;
import com.fjhx.oa.entity.education.dto.EducationSubsidySelectDto;
import com.fjhx.oa.entity.education.po.EducationSubsidy;
import com.fjhx.oa.entity.education.vo.EducationSubsidyVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 学历补贴申请 服务类
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
public interface EducationSubsidyService extends BaseService<EducationSubsidy> {

    /**
     * 学历补贴申请分页
     */
    Page<EducationSubsidyVo> getPage(EducationSubsidySelectDto dto);

    /**
     * 学历补贴申请明细
     */
    EducationSubsidyVo detail(Long id);

    /**
     * 学历补贴申请新增
     */
    void addOrEdit(EducationSubsidyDto educationSubsidyDto);

    /**
     * 学历补贴申请删除
     */
    void delete(Long id);

    void cancellation(Long businessId);
}
