package com.fjhx.oa.service.erp;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.erp.dto.ErpCodingGroupDto;
import com.fjhx.oa.entity.erp.dto.ErpCodingGroupSelectDto;
import com.fjhx.oa.entity.erp.po.ErpCodingGroup;
import com.fjhx.oa.entity.erp.vo.ErpCodingGroupVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * erp编码组 服务类
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
public interface ErpCodingGroupService extends BaseService<ErpCodingGroup> {

    /**
     * erp编码组分页
     */
    Page<ErpCodingGroupVo> getPage(ErpCodingGroupSelectDto dto);

    /**
     * erp编码组明细
     */
    ErpCodingGroupVo detail(Long id);

    /**
     * erp编码组新增
     */
    void addOrEdit(ErpCodingGroupDto erpCodingGroupDto);

    /**
     * erp编码组删除
     */
    void delete(Long id);

    void cancellation(Long businessId);
}
