package com.fjhx.sale.controller.arrival;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.arrival.dto.ArrivalDetailDto;
import com.fjhx.sale.entity.arrival.dto.ArrivalDetailSelectDto;
import com.fjhx.sale.entity.arrival.vo.ArrivalDetailVo;
import com.fjhx.sale.service.arrival.ArrivalDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * purchase_到货明细单 前端控制器
 * </p>
 *
 * @author
 * @since 2024-02-01
 */
@RestController
@RequestMapping("/arrivalDetail")
public class ArrivalDetailController {

    @Autowired
    private ArrivalDetailService arrivalDetailService;

    @PostMapping("/page")
    public Page<ArrivalDetailVo> page(@RequestBody ArrivalDetailSelectDto dto) {
        return arrivalDetailService.getPage(dto);
    }

    /**
     * 修改账期
     */
    @PostMapping("/editAccountPeriods")
    public void editAccountPeriods(@RequestBody ArrivalDetailDto dto) {
        arrivalDetailService.editAccountPeriods(dto);
    }

}
