package com.fjhx.sale.service.contract;

import com.fjhx.sale.entity.contract.dto.ContractProductBomDto;
import com.fjhx.sale.entity.contract.po.ContractProductBom;
import com.fjhx.sale.entity.contract.vo.ContractProductBomVo;
import com.ruoyi.common.core.service.BaseService;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;


/**
 * <p>
 * 合同产品BOM 服务类
 * </p>
 *
 * @author
 * @since 2024-01-17
 */
public interface ContractProductBomService extends BaseService<ContractProductBom> {

    List<ContractProductBomVo> getList(ContractProductBomDto dto);

    List<ContractProductBomVo> getList(IWrapper wrapper);

    List<ContractProductBomVo> getContractProductBomQuantitySum(IWrapper<Object> wrapper);
}
